/* Satoshi */
@font-face {
    font-family: 'Satoshi';
    src: url('../libs/satoshi-fonts/fonts/Satoshi-Variable.woff2') format('woff2'),
         url('../libs/satoshi-fonts/fonts/Satoshi-Variable.woff') format('woff'),
         url('../libs/satoshi-fonts/fonts/Satoshi-Variable.ttf') format('truetype');
    font-weight: 300;
    font-display: swap;
    font-style: normal;
}
@font-face {
    font-family: 'Satoshi';
    src: url('../libs/satoshi-fonts/fonts/Satoshi-Regular.woff2') format('woff2'),
            url('../libs/satoshi-fonts/fonts/Satoshi-Regular.woff') format('woff'),
            url('../libs/satoshi-fonts/fonts/Satoshi-Regular.ttf') format('truetype');
    font-weight: 400;
    font-display: swap;
    font-style: normal;
}
@font-face {
    font-family: 'Satoshi';
    src: url('../libs/satoshi-fonts/fonts/Satoshi-Medium.woff2') format('woff2'),
            url('../libs/satoshi-fonts/fonts/Satoshi-Medium.woff') format('woff'),
            url('../libs/satoshi-fonts/fonts/Satoshi-Medium.ttf') format('truetype');
    font-weight: 500;
    font-display: swap;
    font-style: normal;
}
@font-face {
    font-family: 'Satoshi';
    src: url('../libs/satoshi-fonts/fonts/Satoshi-Bold.woff2') format('woff2'),
            url('../libs/satoshi-fonts/fonts/Satoshi-Bold.woff') format('woff'),
            url('../libs/satoshi-fonts/fonts/Satoshi-Bold.ttf') format('truetype');
    font-weight: 700;
    font-display: swap;
    font-style: normal;
}
@font-face {
    font-family: 'Satoshi';
    src: url('../libs/satoshi-fonts/fonts/Satoshi-Black.woff2') format('woff2'),
            url('../libs/satoshi-fonts/fonts/Satoshi-Black.woff') format('woff'),
            url('../libs/satoshi-fonts/fonts/Satoshi-Black.ttf') format('truetype');
    font-weight: 900;
    font-display: swap;
    font-style: normal;
}

:root{
    --cs-text-gray-dark: #f1f1f1;
    --cs-text-white-dark: #FFFFFF;
    --cs-text-dark: #272727;
    --cs-bg-gray-dark: #f1f1f1;
    --cs-bg-white-dark: #FFFFFF;
    --cs-bg-dark: #272727;
    --cs-border-light-dark: #000000;

    --cs-bg-flatpickr-selected: #000000;
    --cs-text-flatpickr-selected: #ffffff;
    --cs-text-dark-white: #272727;
    --cs-bg-active-btn-dark-light: #000000;
    --cs-text-active-btn-dark-light: #ffffff;



}

[theme-mode="dark"]:root{

    --cs-text-gray-dark: #282828;
    --cs-text-white-dark: #3a3a3a;
    --cs-text-dark:#ffffff;
    --cs-bg-gray-dark: #282828;
    --cs-bg-white-dark: #3A3A3A;
    --cs-bg-dark: #FFFFFF;
    --cs-border-white-dark: #FFFFFF;

    --cs-bg-flatpickr-selected: #ffffff;
    --cs-text-flatpickr-selected: #000000;
    --cs-text-dark-white: #ffffff;
    --cs-bg-active-btn-dark-light: #ffffff;
    --cs-text-active-btn-dark-light: #000000;
}

/* ===========> Custom CSS <============== */

[theme-mode="dark"] .dark-mode-img, [theme-mode="light"] .light-mode-img{

}

[theme-mode="dark"] .light-mode-img, [theme-mode="light"] .dark-mode-img{
    display: none !important;
}

p{
    font-size: 14px;
    font-weight: 400;
    color: var(--cs-text-dark);
}
a{
    text-decoration: none;
}
body{
    background-color: var(--cs-bg-gray-dark);
    height: 100%;
}

/* width */
::-webkit-scrollbar {
    width: 3px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #55555508;
    border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #88888821;
    border-radius: 10px;
}

.bg-bg-gray-dark{
    background-color: var(--cs-bg-gray-dark);
}

.hw-50{
    width: 50px;
    height: 50px;
}
.hw-28{
    width: 28px;
    height: 28px;
}
.hw-24{
    width: 24px;
    height: 24px;
}
.hw-20{
    width: 20px;
    height: 20px;
}

.p-45px{
    padding: 45px;
}

.height-75px{
    height: 75px;
}
.max-height-75px{
    max-height: 75px;
}
.min-height-85px{
    min-height: 85px;
}
.min-height-175px{
    min-height: 175px;
}
.max-height-175px{
    max-height: 175px;
}
.min-height-450px{
    min-height: 450px;
}
.max-height-450px{
    max-height: 450px;
}
.min-height-500px{
    min-height: 500px;
}
.min-height-500px{
    max-height: 500px;
}

.rounded-15{
    border-radius: 15px;
}
.rounded-10{
    border-radius: 10px;
}
.rounded-pill{
    border-radius: 50%;
}

.fs-3px{
    font-size: 3px;
}

.filter-white{
    filter: invert(1);
}
.sacle-05{
    transform: scale(1.05);
}

.disabled{
    opacity: 0.5;
    pointer-events: none;
}
.map-card{
    max-height: calc(100vh - 115px);
    min-height: 280px;
}

/* ===============> Header Css Start <================= */

.main-header .header-link{
    background-color: var(--cs-bg-white-dark);
    color: var(--cs-text-dark);
    padding: 10px;
}
.nav-menu{
    width: 320px;
    position: fixed;
    top: 0;
    bottom: 0;
    overflow-y: auto;
    height: 100%;
}
.page-content{
    margin-left: 320px;
    padding-top: 100px;
}
.main-header{
    line-height: 85px;
    background-color: var(--cs-bg-gray-dark);
    margin-left: 320px;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 999;
}
.dashboard-main-header .dashboard-header .header-link{
    background-color: var(--cs-bg-white-dark);
}
.nav-menu .nav-header {
    position: sticky;
    top: 0;
    z-index: 99;
    background: var(--cs-bg-gray-dark);
}

.main-nav-header .navbar-brand{
    display: none;
}
/* ===============> Header Css End <================= */

/* Accordion Css Start */

.accordion-item{
    border: unset;
    background-color: unset;
}
.accordion-header .accordion-button{
    background-color: var(--cs-bg-white-dark);
    border-radius: 10px !important;
    color: var(--cs-text-dark);
    font-weight: 800;
    box-shadow: unset;
}
.accordion-header .accordion-button:focus .accordion-icon::before{
    transform: rotate(180deg);
}
.accordion-body{
    background-color: var(--cs-bg-white-dark);
}
.accordion-body h6,
.accordion-body p{
    color: var(--cs-text-dark);
}
.accordion-button:focus{
    box-shadow: none;
}
.accordion-button::after{
    display: none;
}
.accordion-button {
    height: 60px;
}
.accordion-button .accordion-div{
    background-color: var(--cs-bg-gray-dark);
    border-radius: 50%;
    position: absolute;
    top: 16px;
    right: 19px;
}
.accordion-button .accordion-div img{
    text-align: center;
    transform: rotate(90deg) !important;
    transition: .4s;
}


.accordion-button-icon .accordion-button img{
    transform: rotate(268deg) !important;
}


/* Accordion Css End */

/* ====> TimePickr Css Start <==== */

.time-picker {
    background: var(--cs-bg-white-dark);
}
.time-picker .arrow-btn {
    background-color: var(--cs-bg-gray-dark);
    color: var(--cs-bg-dark);
    border: none;
    cursor: pointer;
    line-height: 10px;
}
.time-display {
    font-size: 14px;
    color: var(--cs-text-dark-white);
}
#prev-time-display{
    color: var(--cs-text-dark);
    opacity: 20%;
}
#next-time-display{
    color: var(--cs-text-dark);
    opacity: 25%;
}
#time-display .hours {
    background-color: var(--cs-bg-gray-dark);
    border-radius: 5px;
    opacity: 1;
    color: var(--cs-text-dark);
}

#time-display .minutes {
    background-color: var(--cs-bg-gray-dark);
    border-radius: 5px;
    opacity: 1;
    color: var(--cs-text-dark);

}
/* ====> TimePickr Css end <==== */

/* ====> DatePickr Css Start <==== */

[data-inline-date=true], [data-time-inline]{
    display: none;
}
.month-menu{
    background-color: var(--cs-bg-gray-dark);
}

.month-year-select:focus-visible{
    outline: 0 transparent;
}

.month-year-select{
    background-color: transparent;
    border: 0px transparent;
    box-shadow: unset;
    color: var(--cs-text-dark);
    font-size: 14px;
    font-weight: 300;
}
.flatpickr-arrow-btn{
    background-color: var(--cs-bg-gray-dark);
    color: var(--cs-bg-dark);
    border: none;
    cursor: pointer;
    line-height: 10px;
}
.flatpickr-months{
    /*display: none;*/
    height: 60px;
    background-color: var(--cs-bg-white-dark);
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom: 1px solid var(--cs-bg-gray-dark);
    align-items: center;
}
.flatpickr-months .flatpickr-prev-month.flatpickr-prev-month{
    width: 28px;
    height: 28px;
    background-color: var(--cs-bg-gray-dark);
    border-radius: 50%;
    display: block;
    display: flex;
    align-items: center;
    justify-content: center;
    position: unset;
    margin-left: 16px;
}
.flatpickr-prev-month::before{
    content: "";
    width: 28px;
    height: 28px;
    background-image: url(../images/icons/caretprevious.svg);
    background-repeat: no-repeat;
    background-position: center;
}
.flatpickr-prev-month::after{
    content: "";
    width: 28px;
    height: 28px;
    background-image: url(../images/icons/caretprevious.svg);
    background-repeat: no-repeat;
    background-position: center;
    filter: invert();
    display: none;
}
.flatpickr-prev-month svg,
.flatpickr-months .flatpickr-next-month svg{
    display: none;
}
.flatpickr-months .flatpickr-next-month.flatpickr-next-month{
    width: 28px;
    height: 28px;
    background-color: var(--cs-bg-gray-dark);
    border-radius: 50%;
    display: block;
    display: flex;
    align-items: center;
    justify-content: center;
    position: unset;
    margin-right: 16px;
}
.flatpickr-next-month::before{
    content: "";
    width: 28px;
    height: 28px;
    background-image: url(../images/icons/caretnext.svg);
    background-repeat: no-repeat;
    background-position: center;
}
.flatpickr-next-month::after{
    content: "";
    width: 28px;
    height: 28px;
    background-image: url(../images/icons/caretnext.svg);
    background-repeat: no-repeat;
    background-position: center;
    filter: invert(1);
    display: none;
}
.flatpickr-weekdays{
    background-color: var(--cs-bg-white-dark);
}
span.flatpickr-weekday{
    background-color: var(--cs-bg-white-dark);
    color: var(--cs-text-dark);
}
.flatpickr-current-month{
    background-color: var(--cs-bg-gray-dark);
    border-radius: 5px;
    color: var(--cs-text-dark);
    padding-top: 0;
    position: unset;
    line-height: 35px;
    width: unset;
}
.flatpickr-calendar.inline{
    background-color: var(--cs-bg-white-dark);
}
.flatpickr-months .flatpickr-month{
    overflow: unset;
}
.flatpickr-day{
    color: var(--cs-text-dark);
}
.flatpickr-day.inRange, .flatpickr-day.nextMonthDay.inRange, .flatpickr-day.nextMonthDay.today.inRange, .flatpickr-day.nextMonthDay:focus, .flatpickr-day.nextMonthDay:hover, .flatpickr-day.prevMonthDay.inRange, .flatpickr-day.prevMonthDay.today.inRange, .flatpickr-day.prevMonthDay:focus, .flatpickr-day.prevMonthDay:hover, .flatpickr-day.today.inRange, .flatpickr-day:focus, .flatpickr-day:hover{
    background-color: var(--cs-bg-dark);
    color: var(--cs-text-white-dark);
    border: unset;
}
.flatpickr-calendar.inline .flatpickr-rContainer .flatpickr-days .dayContainer .flatpickr-day{
    max-width: 35px;
    max-height: 35px;
    min-height: 35px;
    min-width: 35px;
    border-radius: 50%;
    line-height: 35px;
}
.flatpickr-day.today:focus, .flatpickr-day.today:hover{
    border: 1px solid var(--cs-border-light-dark);
    background-color: rgba(0, 0, 0, 0.16);
}
.flatpickr-day.today{
    border: 1px solid var(--cs-border-light-dark);
    background-color: transparent;
    color: var(--cs-text-dark) !important;
}
.flatpickr-calendar.inline .flatpickr-rContainer{
    padding: 15px;
}
.flatpickr-calendar{
    border-radius: 10px;
}
.flatpickr-day.flatpickr-disabled, .flatpickr-day.flatpickr-disabled:hover, .flatpickr-day.nextMonthDay, .flatpickr-day.notAllowed, .flatpickr-day.notAllowed.nextMonthDay, .flatpickr-day.notAllowed.prevMonthDay, .flatpickr-day.prevMonthDay{
    color: var(--cs-text-dark);
}
.flatpickr-current-month .flatpickr-monthDropdown-months,
.flatpickr-current-month input.cur-year{
    font-weight: 300;
}
.flatpickr-calendar.arrowTop::after{
    border-color: transparent;
}
.flatpickr-day.endRange, .flatpickr-day.endRange.inRange, .flatpickr-day.endRange.nextMonthDay, .flatpickr-day.endRange.prevMonthDay, .flatpickr-day.endRange:focus, .flatpickr-day.endRange:hover, .flatpickr-day.selected, .flatpickr-day.selected.inRange, .flatpickr-day.selected.nextMonthDay, .flatpickr-day.selected.prevMonthDay, .flatpickr-day.selected:focus, .flatpickr-day.selected:hover, .flatpickr-day.startRange, .flatpickr-day.startRange.inRange, .flatpickr-day.startRange.nextMonthDay, .flatpickr-day.startRange.prevMonthDay, .flatpickr-day.startRange:focus, .flatpickr-day.startRange:hover{
    background-color: var( --cs-bg-flatpickr-selected);
    border-color: var( --cs-bg-flatpickr-selected);
    color: var( --cs-text-flatpickr-selected) !important;
}
/* =====> DatePickr Css End */

/* =====> Header Css Start <========= */
.main-header .back-button{
    color: var(--cs-text-dark);
    font-size: 14px;
}
.main-header .back-button a{
    color: var(--cs-text-dark);
}
.header-link .location-img{
    padding: 11px !important;
}
.main-header .back-button .arrow-btn{
    background-color: var(--cs-bg-dark);
}

/* ======> Header Css End <======= */

/* ===> Banner Section Css Start <====== */

.card{
    background-color: var(--cs-bg-white-dark);
}

.banner-details .banner-link{
    background-color: var(--cs-bg-white-dark);
}
.banner-link p{
    font-size: 10px;
}
.banner-card-title h5{
    color: var(--cs-text-dark);
}
.banner-card-text p{
    color: var(--cs-text-dark);
}

/* ===> Banner Section Css End <====== */

/* ====> Map Page Css Start <===== */

map iframe{
    width: 100%;
    height: 100vh;
}
.inner-map-card{
    top: 30px;
    left: 30px;
    max-width: 215px;
    width: 100%;
}
.map-section .inner-map-card img{
   height: 150px;
}

@media (min-width: 767px) {
    .map-md{
        display: none;
    }
}

/* ====> Map Page Css End <===== */

/* Change Theme Mode Css Start */



.filter-white{
    filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(38%) hue-rotate(254deg) brightness(110%) contrast(110%);
    -webkit-filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(38%) hue-rotate(254deg) brightness(110%) contrast(110%);
}

[theme-mode="dark"] .flatpickr-prev-month::before,
[theme-mode="dark"] .flatpickr-next-month::before{
    display: none;
}
[theme-mode="dark"] .flatpickr-prev-month::after,
[theme-mode="dark"] .flatpickr-next-month::after{
    display: block;
}
/* Change Theme Mode Css End */


/* ===========================> Dashboard Detail Page Css End <================================== */

/* ===========> Responsive Css Start <============= */
@media (min-width: 767px) {
    .nav-header{
        height: 100px;
    }
}

.banner-details .webcam-swiper {
    display: none;
}

.banner-details .swiper-slide {
    font-size: 18px;
    background: var(--cs-bg-white-dark);
    border-radius: 10px;
    padding: 10px;
    height: fit-content;
    transition: 0.2s;
}

.banner-details .swiper-slide-active{
    box-shadow: 0px 0px 33px 0px #00000040;
    transform: scale(1.05);
}


.switch {
    display: inline-block;
}

.toggle-switch {
    cursor: pointer;
    background-color: var(--cs-bg-white-dark);
    border-radius: 10px;
    transition: .4s;
    padding: 10px;
}
input:checked + .toggle-switch {
    width: 50px;
    height: 50px;
    background-color: var(--cs-text-white-dark);
    border: 1px solid var(--cs-text-white-dark);
    border-radius: 10px;
}
@media (max-width: 767px) {

    /* ===============> Header Css Start <================= */

    .main-header .header-link{
        background-color: var(--cs-bg-white-dark);
        color: var(--cs-text-dark);
        padding: 10px;
    }
    .nav-menu{
        width: 320px;
        /* padding: 0px 15px; */
        height: 100vh;
        position: fixed;
        top: 0;
        bottom: 0;
        overflow: auto;
    }
    .page-content{
        margin-left: 320px;
        height: 100%;
        padding-top: 100px;
        max-height: 100%;
    }
    .main-header{
        line-height: 85px;
        background-color: var(--cs-bg-gray-dark);
        margin-left: 320px;
        position: fixed;
        top: 0;
        right: 0;
        left: 0;
        z-index: 999;
    }
    .dashboard-main-header .dashboard-header .header-link{
        background-color: var(--cs-bg-white-dark);
    }

    .main-nav-header .navbar-brand{
        display: none;
    }


   .main-header .back-button{
        display: none;
    }
    .nav-menu{
        width: 100%;
        position: unset;
        height: unset;
        overflow: unset;
        padding-top: unset;
    }
    .page-content{
        margin-left: 0;
    }
    .banner-card-title h5{
        font-size: 14px;
    }
    .banner-card-text p{
        font-size: 12px;
    }
    .banner-details .webcam-card{
        display: none !important;
    }
    .sm-banner-link{
        display: none !important;
    }
    .banner-details .webcam-swiper {
        display: block;
    }
    .main-page-content{
        display: flex;
        flex-direction: column;
    }
    .main-header .dashboard-nav-header{
        display: block;
    }
    .dashboard-header {
        display: none;
    }
    .nav-menu .nav-body{
        padding-top: 100px;
    }
    .main-nav-header .navbar-brand{
        display: block;
    }
    .main-header{
        margin-left: unset;
    }
    .nav-menu .nav-header{
        display: none;
    }
    .page-content{
        padding-top: 25px;
    }
    .banner-details{
        padding-top: 57px;
    }
    .detail-page.nav-menu .nav-body{
        padding-top: 0px;
    }

    .navbar-hide{
        display: none;
    }
}

@media (min-width: 767px) {
    .nav-header{
        height: 100px;
    }
}
@media (max-width: 767px) {
    .navbar-hide{
        display: none;
    }
}


.webcam-detail .swiper-slide{
    height: auto !important;
}

@media (max-width: 767px) {
    .webcam-detail-img{
        height: 270px;
    }
}
@media (max-width: 425px) {
    .webcam-detail-img{
        height: 210px;
    }
}



.timelapse-card{
    width: 120px;
    height: auto;
}

.timelapse-swiper .swiper-slide{
    width: auto;
    border-radius: 10px;
}

.timelapse-swiper{
    overflow: unset;
}
.timelapse-swiper .swiper-slide.active{
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

[theme-mode="dark"] .timelapse-swiper .swiper-slide.active{
    box-shadow: rgb(255 255 255 / 35%) 0px 1px 15px;
}

@media (max-width: 767px) {
    .timelapse-swiper-main-card{
        display: none;
    }
}

.timelapse{
    height: 100%;
    max-height: calc(100vh - 150px);
    overflow-y: auto;
}

.timelapse-card-image{
    max-height: 78px;
}

.banner-link.active{
    background-color: var(--cs-bg-active-btn-dark-light);
    color: var(--cs-text-active-btn-dark-light);
}

[theme-mode="light"] .banner-link.active p{
    color: #FFFFFF;
}
[theme-mode="dark"] .banner-link.active p{
    color: #000000;
}

.banner-link.active img{
    filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(38%) hue-rotate(254deg) brightness(110%) contrast(110%);
}
[theme-mode="dark"] .banner-link.active img{
    filter: invert(1) !important;
}
/* HM SPINNER */
.hm-spinner {
    height: 65px;
    width: 65px;
    border: 4px solid transparent;
    border-top-color: #ffffff;
    border-bottom-color: #ffffff;
    border-radius: 50%;
    position: relative;
    -webkit-animation: spin 1.8s linear infinite;
    animation: spin 1.8s linear infinite;
}

.hm-spinner::before {
    content: "";
    position: absolute;
    top: 10px;
    color: white;
    right: 10px;
    bottom: 10px;
    left: 10px;
    border: 4px solid transparent;
    border-top-color: #ffffff;
    border-bottom-color: #ffffff;
    border-radius: 50%;
    -webkit-animation: spin 1s linear infinite;
    animation: spin 1s linear infinite;
}



@keyframes spin {
    from {
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    from {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spin {
    from {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.bg-loader{
    background-color: #00000052;
}


[theme-mode="dark"] .flatpickr-current-month .numInputWrapper span.arrowUp:after{

    border-bottom-color: white;
}
[theme-mode="dark"] .flatpickr-current-month .numInputWrapper span.arrowDown:after{
    border-top-color: white;
}

.swiper.webcam-detail{
    overflow: unset;
}
.flatpickr-calendar::after, .flatpickr-calendar::before{
    display: none;
}

.flatpickr-calendar .numInputWrapper{
    display: none;
}
